set audit_name [lindex $argv 0]
set perform 1
if { $audit_name == "BLOCK_MODEL_AUDIT" } {
GuidoApp check_bm "CHECK BM CONNECTED"
$check_bm setParam functionName "BLOCK_MODEL_AUDIT"
set result [$check_bm invoke]
$check_bm destroy
if { $result != "0" } {
set perform 0
}
}
if { $perform } {
GuidoForm confirm {
-default_buttons
-label "Audit Trail Flush"
GuidoFiller f {
-height 1
}
GuidoPanel labelPanel {
-layout BoxLayout X_AXIS
GuidoLabel labell {
-label "This will destroy all data in the"
}
GuidoLabel label2 {
-label $audit_name
}
GuidoLabel label3 {
-label "audit trail"
}
}
GuidoFiller f {
-height 1
}
}
set status ""
$confirm interact
set status [ $confirm getStatus ]
if { $status == "apply" } {
GuidoApp app "AUDIT FLUSH"
$app setParam audit_name $audit_name
set result [$app invoke]
$app destroy
}
$confirm hide
$confirm destroy
}
